PXAA2CDN(1)

NAME
pxaa2cdn - generate codon alignment from aligned amino acids and unaligned nucleotides

SYNOPSIS
pxaa2cdn [OPTIONS]...

DESCRIPTION
Generate a codon alignment from aligned amino acids and unaligned nucleotides. Taxa found in only 1 input file will be removed. This will take fasta, fastq, phylip, and nexus inputs.

OPTIONS

-a, --aaseqf=FILE
    input sequence file, STDIN otherwise

-n, --nucseqf=FILE
    input sequence file, STDIN otherwise

-r, --rmlastcdn
    remove last codon from *all* nuc sequences (default: false)

-s, --stopremove
    remove stop codon from nuc sequences if present (default: false)

-o, --outf=FILE
    output fasta file, STOUT otherwise

-h, --help
    display this help and exit

-V, --version
    display version and exit

-C, --citation
    display phyx citation and exit

CITATION
Brown, Joseph W., Joseph F. Walker, and Stephen A. Smith. 2017. Phyx: phylogenetic tools for unix. Bioinformatics 33(12): 1886-1888. https://doi.org/10.1093/bioinformatics/btx063.

AUTHOR
Written by Joseph F. Walker, Joseph W. Brown, Stephen A. Smith (blackrim)

REPORTING BUGS
Report bugs to: <https://github.com/FePhyFoFum/phyx/issues> phyx home page: <https://github.com/FePhyFoFum/phyx>

COPYRIGHT
Copyright © 2015-2024 FePhyFoFum License GPLv3